org.wildfly.swarm.config

## Class Datasources<T extends Datasources<T>>

- java.lang.Object
- - org.wildfly.swarm.config.Datasources<T>

- Direct Known Subclasses:
    DatasourcesFraction

      public class Datasources<T extends Datasources<T>>
      extends Object

  The data-sources subsystem, used to declare JDBC data-sources

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Datasources.DatasourcesResources` Child mutators for Datasources

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Datasources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `dataSource(DataSource value)` Add the DataSource object to the list of subresources
    `T` | `dataSource(DataSourceSupplier supplier)` Install a supplied DataSource object to the list of subresources
    `T` | `dataSource(String childKey)` Create and configure a DataSource object to the list of subresources
    `T` | `dataSource(String childKey, DataSourceConsumer consumer)` Create and configure a DataSource object to the list of subresources
    `T` | `dataSources(List<DataSource> value)` Add all DataSource objects to this subresource
    `String` | `getKey()`
    `T` | `installedDriver(Map value)` List of JDBC drivers that have been installed in the runtime
    `List<Map>` | `installedDrivers()` List of JDBC drivers that have been installed in the runtime
    `T` | `installedDrivers(List<Map> value)` List of JDBC drivers that have been installed in the runtime
    `T` | `installedDrivers(Map... args)` List of JDBC drivers that have been installed in the runtime
    `T` | `jdbcDriver(JDBCDriver value)` Add the JDBCDriver object to the list of subresources
    `T` | `jdbcDriver(JDBCDriverSupplier supplier)` Install a supplied JDBCDriver object to the list of subresources
    `T` | `jdbcDriver(String childKey)` Create and configure a JDBCDriver object to the list of subresources
    `T` | `jdbcDriver(String childKey, JDBCDriverConsumer consumer)` Create and configure a JDBCDriver object to the list of subresources
    `T` | `jdbcDrivers(List<JDBCDriver> value)` Add all JDBCDriver objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Datasources.DatasourcesResources` | `subresources()`
    `T` | `xaDataSource(String childKey)` Create and configure a XADataSource object to the list of subresources
    `T` | `xaDataSource(String childKey, XADataSourceConsumer consumer)` Create and configure a XADataSource object to the list of subresources
    `T` | `xaDataSource(XADataSource value)` Add the XADataSource object to the list of subresources
    `T` | `xaDataSource(XADataSourceSupplier supplier)` Install a supplied XADataSource object to the list of subresources
    `T` | `xaDataSources(List<XADataSource> value)` Add all XADataSource objects to this subresource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Datasources

          public Datasources()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Datasources.DatasourcesResources subresources()

    - #### jdbcDrivers

          public T jdbcDrivers(List<JDBCDriver> value)

      Add all JDBCDriver objects to this subresource
      Parameters:
        `value` - List of JDBCDriver objects.
      Returns:
        this

    - #### jdbcDriver

          public T jdbcDriver(JDBCDriver value)

      Add the JDBCDriver object to the list of subresources
      Parameters:
        `value` - The JDBCDriver to add
      Returns:
        this

    - #### jdbcDriver

          public T jdbcDriver(String childKey,
                              JDBCDriverConsumer consumer)

      Create and configure a JDBCDriver object to the list of subresources
      Parameters:
        `key` - The key for the JDBCDriver resource
        `config` - The JDBCDriverConsumer to use
      Returns:
        this

    - #### jdbcDriver

          public T jdbcDriver(String childKey)

      Create and configure a JDBCDriver object to the list of subresources
      Parameters:
        `key` - The key for the JDBCDriver resource
      Returns:
        this

    - #### jdbcDriver

          public T jdbcDriver(JDBCDriverSupplier supplier)

      Install a supplied JDBCDriver object to the list of subresources

    - #### xaDataSources

          public T xaDataSources(List<XADataSource> value)

      Add all XADataSource objects to this subresource
      Parameters:
        `value` - List of XADataSource objects.
      Returns:
        this

    - #### xaDataSource

          public T xaDataSource(XADataSource value)

      Add the XADataSource object to the list of subresources
      Parameters:
        `value` - The XADataSource to add
      Returns:
        this

    - #### xaDataSource

          public T xaDataSource(String childKey,
                                XADataSourceConsumer consumer)

      Create and configure a XADataSource object to the list of subresources
      Parameters:
        `key` - The key for the XADataSource resource
        `config` - The XADataSourceConsumer to use
      Returns:
        this

    - #### xaDataSource

          public T xaDataSource(String childKey)

      Create and configure a XADataSource object to the list of subresources
      Parameters:
        `key` - The key for the XADataSource resource
      Returns:
        this

    - #### xaDataSource

          public T xaDataSource(XADataSourceSupplier supplier)

      Install a supplied XADataSource object to the list of subresources

    - #### dataSources

          public T dataSources(List<DataSource> value)

      Add all DataSource objects to this subresource
      Parameters:
        `value` - List of DataSource objects.
      Returns:
        this

    - #### dataSource

          public T dataSource(DataSource value)

      Add the DataSource object to the list of subresources
      Parameters:
        `value` - The DataSource to add
      Returns:
        this

    - #### dataSource

          public T dataSource(String childKey,
                              DataSourceConsumer consumer)

      Create and configure a DataSource object to the list of subresources
      Parameters:
        `key` - The key for the DataSource resource
        `config` - The DataSourceConsumer to use
      Returns:
        this

    - #### dataSource

          public T dataSource(String childKey)

      Create and configure a DataSource object to the list of subresources
      Parameters:
        `key` - The key for the DataSource resource
      Returns:
        this

    - #### dataSource

          public T dataSource(DataSourceSupplier supplier)

      Install a supplied DataSource object to the list of subresources

    - #### installedDrivers

          public List<Map> installedDrivers()

      List of JDBC drivers that have been installed in the runtime

    - #### installedDrivers

          public T installedDrivers(List<Map> value)

      List of JDBC drivers that have been installed in the runtime

    - #### installedDriver

          public T installedDriver(Map value)

      List of JDBC drivers that have been installed in the runtime

    - #### installedDrivers

          public T installedDrivers(Map... args)

      List of JDBC drivers that have been installed in the runtime

Copyright © 2018 JBoss by Red Hat. All rights reserved.